Summary: A library for online banking functions and financial data import/export.
Name: aqbanking
Version: 0.9.8
Release: 1
License: GPL
Source: http://download.sourceforge.net/aqbanking/%{name}-%{version}.tar.bz2
URL: http://sourceforge.net/projects/aqbanking
Group: Xtra/Libraries
Buildroot: %{_tmppath}/%{name}-buildroot

%description
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package devel
Summary: Aqbanking development kit
Group: Xtra/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%prep
%setup -q

%build
%configure
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/%{name}
%{_libdir}/gwenhywfar
%{_datadir}/%{name}

%files devel
%defattr(-,root,root)
%{_bindir}/aqbanking-config
%{_includedir}/aqbanking
%{_includedir}/aqbanking++
%{_libdir}/*.la
%{_libdir}/*.a
%{_datadir}/aclocal/aqbanking.m4

%changelog
* Mon Nov 22 2004 Frank Bergmann <meurer@gmx.STOP-UCE.de>
- first spec for RH9

